import request from '@/utils/request'

// 精选人群包查询
export function queryFeaturedApi({ ...data }) {
  return request({
    url: '/tools/ads_dmp/choice_pack/search',
    method: 'post',
    data
  })
}
// 定制人群分页查询
export function queryCustomApi({ ...data }) {
  return request({
    url: '/tools/ads_dmp/custom_pack/search',
    method: 'post',
    data
  })
}
// 定制人群详情
export function queryDetailApi({ ...data }) {
  return request({
    url: '/tools/ads_dmp/custom_pack/get',
    method: 'post',
    data
  })
}
// 精选包删除
export function delFeaturedApi({ ...data }) {
  return request({
    url: '/tools/ads_dmp/choice/delete',
    method: 'post',
    data
  })
}
// 确认工单
export function confirmCustomApi({ ...data }) {
  return request({
    url: '/tools/ads_dmp/audience_work_order/confirm',
    method: 'post',
    data
  })
}
// 用户属性查询
export function queryUserTagApi({ ...data }) {
  return request({
    url: '/tools/ads_dmp/custom_pack/user_tag/tree',
    method: 'post',
    data
  })
}

// 用户库人群包列表
export function userAudienceSearch(data) {
  return request({
      url: '/system/action/audience/search',
      method: 'POST',
      data
  })
}

// 用户库人群包列表审核
export function userUserlibAudit(data) {
  return request({
      url: '/system/userlib/audit',
      method: 'POST',
      data
  })
}

// 用户库人群包详情
export function userAudienceDetail(data) {
  return request({
      url: '/system/action/audience/detail',
      method: 'POST',
      data
  })
}

// 用户库下载关系表
export function userUserlibExport() {
  return request({
      url: '/system/userlib/export',
      responseType: 'arraybuffer',
      method: 'GET'
  })
}

// 用户库关系列表
export function userUserlibSearch(data) {
  return request({
      url: '/system/userlib/search',
      method: 'POST',
      data
  })
}

// 用户库刷新按钮
export function userUserlibRefresh() {
  return request({
      url: '/system/userlib/refresh',
      method: 'POST'
  })
}
