import request from '@/utils/request'

/**
 * 客户下拉列表
 */
export function getCustomerList() {
    return request({
        method: 'POST',
        url: '/system/customer/select',
    })
}

/**
 * 新增&修改 配置
 * @param {*} param0 
 */
export function addConfig({ customerId, module, key, value }) {
    return request({
        url: '/system/customer/fee/config',
        method: 'POST',
        data: { customerId, module, key, value }
    })
}
/**
 * 删除配置
 * @param {*} param0 
 */
export function deleteConfig({ configId }) {
    return request({
        url: '/system/customer/fee/config/delete',
        method: 'POST',
        data: { configId}
    })
}

/**
 * 系统权限配置 list 查询
 * @param {String} param0 - 父级 id
 */
export function getCustomerDict({ parentId, parentCode }) {
    return request({
        url: '/system/customer/dict/list',
        method: 'POST',
        data: { parentId, parentCode }
    })
}

/**
 * 获取用户权限列表
 * @param {Object} param0 
 */
export function getConfigSearch({ current, size, customerName, module }) {
    return request({
        url: '/system/customer/fee/config/search',
        method: 'POST',
        data: { current, size, customerName, module }
    })
}