import request from '@/utils/request'

/**
 * 新增客户
 * @param customerName 客户名
 * @param customerEmail 客户邮箱
 * @param customerContact 客户联系人
 * @param customerPhone 客户电话
 * @param customerAddress 客户地址
 * @param status 状态
 * @param startTime 开始时间
 * @param endTim 结束时间
 */
export function addCustomer({ customerName, customerEmail, customerContact, customerPhone, customerAddress, status, customerOperator, customerArea, contractTime, type }) {
  return request({
    url: '/system/customer/',
    method: 'GET',
    data: { customerName, customerEmail, customerContact, customerPhone, customerAddress, customerOperator, customerArea, status, contractTime, type }
  })
}

/**
 * 修改客户
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param customerEmail 客户邮箱
 * @param customerContact 客户联系人
 * @param customerPhone 客户联系电话
 * @param customerAddress 客户地址
 * @param status 状态
 * @param contractTime 合同时间
 */
export function doctaskList(data) {
  return request({
    url: '/api/doc/doctask/list',
    method: 'post',
    params: data
  })
}

// 提交表单
export function doctaskUpsert(data) {
  return request({
    url: '/api/doc/doctask/upsert',
    method: 'post',
    data
  })
}
// 选择文档
export function doctaskDocuments() {
  return request({
    url: '/api/doc/document/list',
    method: 'get'
  })
}
// 订阅文档
export function doctaskSubscription({id, sub}) {
  return request({
    url: '/api/doc/doctask/subscription/' + id + '?sub=' + sub,
    method: 'get'
  })
}
// 删除文档
export function doctaskDelete(id) {
  return request({
    url: '/api/doc/doctask/delete/' + id,
    method: 'get'
  })
}
// 创建跟踪任务添加文档接口
export function documentUpsert(data) {
  return request({
    url: '/api/doc/document/upsert',
    method: 'post',
    data
  })
}