import request from '@/utils/request'

/**
 * Dashboard分页
 * @param filtering {} 筛选维度
 * @param startDate 开始日期
 * @param endDate 结束日期
 * @param mediaCode 媒体
 * @param customerType 客户类型
 * @param customerArea 客户区域
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param groupBy {} 聚合维度
 * @param dateInt 日期聚合
 * @param mediaCode 媒体聚合
 * @param customerArea 客户区域聚合
 * @param customerType 客户类型聚合
 * @param customerId 客户ID聚合
 * @param customerName 客户名称聚合
 * @param sortBy 排序字段
 * @param pageNo 搜索页码
 * @param pageSize 一页显示的数据条数
 */
 export function dashboardPage(data) {
   return request({
     url: '/ops/report/dashboard/page',
     method: 'POST',
     data
   })
 }
 /**
 * Dashboard导出
 * @param filtering {} 筛选维度
 * @param startDate 开始日期
 * @param endDate 结束日期
 * @param mediaCode 媒体
 * @param customerType 客户类型
 * @param customerArea 客户区域
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param groupBy {} 聚合维度
 * @param dateInt 日期聚合
 * @param mediaCode 媒体聚合
 * @param customerArea 客户区域聚合
 * @param customerType 客户类型聚合
 * @param customerId 客户ID聚合
 * @param customerName 客户名称聚合
 * @param sortBy 排序字段
 * @param pageNo 搜索页码
 * @param pageSize 一页显示的数据条数
 */
  export function dashboardExport(data) {
    return request({
      url: '/ops/report/dashboard/export',
      method: 'POST',
      data,
      responseType: 'arraybuffer'
    })
  }
