import request from '@/utils/request'

/**
 * 客户产品list分页
 * @param filtering {} 筛选维度
 * @param mediaCode 媒体
 * @param customerId 客户ID
 * @param customerName 客户名称
 * @param pageNo 搜索页码
 * @param pageSize 一页显示的数据条数
 */
 export function productPage(data) {
   return request({
     url: '/ops/report/product/page',
     method: 'POST',
     data
   })
 }
 /**
 * 客户产品list导出
  * @param filtering {} 筛选维度
  * @param mediaCode 媒体
  * @param customerId 客户ID
  * @param customerName 客户名称
  * @param pageNo 搜索页码
  * @param pageSize 一页显示的数据条数
 */
  export function productExport(data) {
    return request({
      url: '/ops/report/product/export',
      method: 'POST',
      data,
      responseType: 'arraybuffer'
    })
  }