/**
 * 通用js方法封装处理
 * Copyright (c) 2019 ruoyi
 */

// 日期格式化
export function parseTime(time, pattern) {
	if (arguments.length === 0) {
		return null
	  }
	  const format = pattern || '{y}-{m}-{d} {h}:{i}:{s}'
	  let date
	  if (typeof time === 'object') {
		date = time
	  } else {
		if ((typeof time === 'string') && (/^[0-9]+$/.test(time))) {
		  time = parseInt(time)
		}
		if ((typeof time === 'number') && (time.toString().length === 10)) {
		  time = time * 1000
		}
		date = new Date(time)
	  }
	  const formatObj = {
		y: date.getFullYear(),
		m: date.getMonth() + 1,
		d: date.getDate(),
		h: date.getHours(),
		i: date.getMinutes(),
		s: date.getSeconds(),
		a: date.getDay()
	  }
	  const time_str = format.replace(/{(y|m|d|h|i|s|a)+}/g, (result, key) => {
		let value = formatObj[key]
		// Note: getDay() returns 0 on Sunday
		if (key === 'a') { return ['日', '一', '二', '三', '四', '五', '六'][value ] }
		if (result.length > 0 && value < 10) {
		  value = '0' + value
		}
		return value || 0
	  })
	  return time_str
}

// 表单重置
export function resetForm(refName) {
	if (this.$refs[refName] !== undefined) {
		this.$refs[refName].resetFields();
	}
}

// 添加日期范围
export function addDateRange(params, dateRange) {
	var search = params;
	if (null != dateRange) {
		search.params = {
			beginTime: this.dateRange[0],
			endTime: this.dateRange[1]
		};
	}
	return search;
}

// 回显数据字典
export function selectDictLabel(datas, value) {
	var actions = [];
	Object.keys(datas).map((key) => {
		if (datas[key].dictValue == ('' + value)) {
			actions.push(datas[key].dictLabel);
			return false;
		}
	})
	return actions.join('');
}

// 字符串格式化(%s )
export function sprintf(str) {
	var args = arguments, flag = true, i = 1;
	str = str.replace(/%s/g, function () {
		var arg = args[i++];
		if (typeof arg === 'undefined') {
			flag = false;
			return '';
		}
		return arg;
	});
	return flag ? str : '';
}

export const hackDownloadFile = data => {
  if (!data) {
    return
	}
  let url = window.URL.createObjectURL(new Blob([data]))
  let link = document.createElement('a')
  link.style.display = 'none'
  link.href = url
  link.setAttribute('download', `${new Date().getTime()}.xls`)
  document.body.appendChild(link)
  link.click()
}
/**
 * mixj 二进制流下载
 * 尝试用上面的下载方法
 */
 export const hackDownloadFileNew = (data, name) => {
	if (!data) {
	  return
	}
	try {
	  // 文件流
	  let responseData = data.data
	  // 响应头
	  let responseHeader = data.headers
	  // 文件类型
	  let responseType = 'application/vnd.ms-excel'
	  // 默认后缀名
	  let suffixName = 'xls'
	  // 按时间随机生成文件名
	  let defaultname = new Date().getTime()
	  let fileName = ''
	  // 兼容旧接口，data为ArrayBuffer
	  if (data instanceof ArrayBuffer) {
		responseData = data
	  }
	  console.log(data, 'toubushuju')
	  if (responseHeader) {
		// 判断响应头是否包含Content-Disposition
		if (responseHeader.hasOwnProperty('content-disposition')) {
		  let disposition = responseHeader['content-disposition']
		  // 正则获取filename
		  let fileNames = disposition.match(/filename[^;\n]*=(UTF-\d['"]*)?((['"]).*?[.]$\2|[^;\n]*)?/gi)
		  // 判断是否包含filename
		  if (fileNames.length > 0) {
			// 获取文件名+后缀名（如：直达链接.xls）
			let fileFullName = fileNames[0].split('=')[1]
			// 获取后缀名
			suffixName = fileFullName.split('.')[1]
		  }
		}
		// 判断响应头是否包含content-type
		if (responseHeader.hasOwnProperty('content-type')) {
		  responseType = responseHeader['content-type']
		}
	  }
  
	  // 优先使用传入名称
	  if (name) {
		fileName = `${name}.${suffixName}`
	  } else {
		fileName = `${defaultname}.${suffixName}`
	  }
  
	  let url = window.URL.createObjectURL(new Blob([responseData], {
		type: responseType
	  }))
	  let link = document.createElement('a')
	  link.style.display = 'none'
	  link.href = url
	  link.setAttribute('download', fileName)
	  document.body.appendChild(link)
	  link.click()
	} catch (err) {
	  console.log(err)
	}
  }