export default {
  table: {
    head: [
      {
        label: "客户名称",
        prop: "customerName",
        width: '150'
      },
      {
        label: "Ads创建计划消耗",
        prop: "adsConsume",
        width: '150',
        sortable: 'custom'
      },
      {
        label: "媒体创建计划消耗",
        prop: "mediaConsume",
        width: '150',
        sortable: 'custom'
      },
      {
        label: "消耗倍数(Ads/Ads+媒体)",
        prop: "consumeRatio",
        width: '200'
      },
      {
        label: "Ads创建计划数",
        prop: "adsPlanNum",
        width: '150',
        sortable: 'custom'
      },
      {
        label: "媒体创建计划数",
        prop: "mediaPlanNum",
        width: '150',
        sortable: 'custom'
      },
      {
        label: "绑定账号总数",
        prop: "totalAccountNum",
        width: '130',
        sortable: 'custom'
      },
      {
        label: "新绑定账号数",
        prop: "newAccountNum",
        width: '130',
        sortable: 'custom'
      },
      {
        label: "优化经理总数",
        prop: "totalManagerNum",
        width: '130',
        sortable: 'custom'
      },
      {
        label: "新添加优化经理数",
        prop: "newManagerNum",
        width: '150',
        sortable: 'custom'
      },
      {
        label: "优化师总数",
        prop: "totalOperateNum",
        width: '130',
        sortable: 'custom'
      },
      {
        label: "新添加优化师数",
        prop: "newOperateNum",
        width: '150',
        sortable: 'custom'
      },
      {
        label: "设计师总数",
        prop: "totalDesignerNum",
        width: '130',
        sortable: 'custom'
      },
      {
        label: "新添加设计师数",
        prop: "newDesignerNum",
        sortable: 'custom'
      }
    ]
  },
  shortcuts: [
    {
      text: "最近一周",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
        picker.$emit("pick",
          [start, end
          ]);
      }
    },
    {
      text: "最近二周",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 14);
        picker.$emit("pick",
          [start, end
          ]);
      }
    },
    {
      text: "最近一个月",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
        picker.$emit("pick",
          [start, end
          ]);
      }
    },
    {
      text: "最近三个月",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
        picker.$emit("pick",
          [start, end
          ]);
      }
    },
    {
      text: "最近半年",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 180);
        picker.$emit("pick",
          [start, end
          ]);
      }
    },
    // {
    //   text: "最近一年",
    //   onClick(picker) {
    //     const end = new Date();
    //     const start = new Date();
    //     start.setTime(start.getTime() - 3600 * 1000 * 24 * 365);
    //     picker.$emit("pick",
    //       [start, end
    //       ]);
    //   }
    // },
  ],
  resData:{
    "code":200,
    "data":[{
      "alwaysShow":true,
      "children":[{
        "alwaysShow":null,
        "children":[],
        "component":"system/user/index",
        "hidden":"",
        "meta":{
          "icon":"user",
          "title":"用户管理"
        },
        "name":"用户管理",
        "path":"user",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"system/role/index",
        "hidden":"",
        "meta":{
          "icon":"peoples",
          "title":"角色管理"
        },
        "name":"角色管理",
        "path":"role",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"system/menu/index",
        "hidden":"",
        "meta":{
          "icon":"tree-table",
          "title":"菜单管理"
        },
        "name":"菜单管理",
        "path":"menu",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"system/dept/index",
        "hidden":"",
        "meta":{
          "icon":"tree",
          "title":"部门管理"
        },
        "name":"部门管理",
        "path":"dept",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"system/post/index",
        "hidden":"",
        "meta":{
          "icon":"post",
          "title":"岗位管理"
        },
        "name":"岗位管理",
        "path":"post",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"system/dict/index",
        "hidden":"",
        "meta":{
          "icon":"dict",
          "title":"字典管理"
        },
        "name":"字典管理",
        "path":"dict",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"system/config/index",
        "hidden":"",
        "meta":{
          "icon":"edit",
          "title":"参数设置"
        },
        "name":"参数设置",
        "path":"config",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"system/notice/index",
        "hidden":"",
        "meta":{
          "icon":"message",
          "title":"通知公告"
        },
        "name":"通知公告",
        "path":"notice",
        "redirect":""
      },{
        "alwaysShow":true,
        "children":[{
          "alwaysShow":null,
          "children":[],
          "component":"monitor/operlog/index",
          "hidden":"",
          "meta":{
            "icon":"form",
            "title":"操作日志"
          },
          "name":"操作日志",
          "path":"operlog",
          "redirect":""
        },{
          "alwaysShow":null,
          "children":[],
          "component":"monitor/logininfor/index",
          "hidden":"",
          "meta":{
            "icon":"logininfor",
            "title":"登录日志"
          },
          "name":"登录日志",
          "path":"logininfor",
          "redirect":""
        }],
        "component":"system/log/index",
        "hidden":"",
        "meta":{
          "icon":"log",
          "title":"日志管理"
        },
        "name":"日志管理",
        "path":"log",
        "redirect":"noRedirect"
      }],
      "component":"Layout",
      "hidden":"",
      "meta":{
        "icon":"system",
        "title":"系统管理"
      },
      "name":"系统管理",
      "path":"system",
      "redirect":"noRedirect"
    },{
      "alwaysShow":true,
      "children":[{
        "alwaysShow":null,
        "children":[],
        "component":"monitor/online/index",
        "hidden":"",
        "meta":{
          "icon":"online",
          "title":"在线用户"
        },
        "name":"在线用户",
        "path":"online",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"monitor/job/index",
        "hidden":"",
        "meta":{
          "icon":"job",
          "title":"定时任务"
        },
        "name":"定时任务",
        "path":"job",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"monitor/druid/index",
        "hidden":"",
        "meta":{
          "icon":"druid",
          "title":"数据监控"
        },
        "name":"数据监控",
        "path":"druid",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"monitor/server/index",
        "hidden":"",
        "meta":{
          "icon":"server",
          "title":"服务监控"
        },
        "name":"服务监控",
        "path":"server",
        "redirect":""
      }],
      "component":"Layout",
      "hidden":"",
      "meta":{
        "icon":"monitor",
        "title":"系统监控"
      },
      "name":"系统监控",
      "path":"monitor",
      "redirect":"noRedirect"
    },{
      "alwaysShow":true,
      "children":[{
        "alwaysShow":null,
        "children":[],
        "component":"tool/build/index",
        "hidden":"",
        "meta":{
          "icon":"build",
          "title":"表单构建"
        },
        "name":"表单构建",
        "path":"build",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"tool/gen/index",
        "hidden":"",
        "meta":{
          "icon":"code",
          "title":"代码生成"
        },
        "name":"代码生成",
        "path":"server",
        "redirect":""
      },{
        "alwaysShow":null,
        "children":[],
        "component":"tool/swagger/index",
        "hidden":"",
        "meta":{
          "icon":"swagger",
          "title":"系统接口"
        },
        "name":"系统接口",
        "path":"swagger",
        "redirect":""
      }],
      "component":"Layout",
      "hidden":"",
      "meta":{
        "icon":"tool",
        "title":"系统工具"
      },
      "name":"系统工具",
      "path":"tool",
      "redirect":"noRedirect"
    },{
      "alwaysShow":null,
      "children":[],
      "component":"Layout",
      "hidden":"",
      "meta":{
        "icon":"guide",
        "title":"若依官网"
      },
      "name":"若依官网",
      "path":"http://ruoyi.vip",
      "redirect":""
    }],
    "message":"Success",
    "success":true
  }
}
